### Virtual Method

# Gio File get_parse_name

#### Declaration

    char*
    get_parse_name (
      GFile* file
    )

#### Description

Gets the parse name of the `file`. A parse name is a UTF-8 string that describes the file such that one can get the `GFile` back using g_file_parse_name().

This is generally used to show the `GFile` as a nice full-pathname kind of string in a user interface, like in a location entry.

For local files with names that can safely be converted to UTF-8 the pathname is used, otherwise the IRI is used (a form of URI that allows UTF-8 characters unescaped).

This call does no blocking I/O.

#### Return value

Type: `char*`

A string containing the `GFile`‘s parse name. The returned string should be freed with `g_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.